import { ensureScript } from '../lib.js';
const ARCHITECTURE_SCRIPT = 'npm run architecture';
const transformer = (packageConf) => {
    const { metapak: { data, configs }, } = packageConf;
    // Adding architecture generation script
    packageConf.scripts = packageConf.scripts || {};
    packageConf.scripts.architecture = data.rootPackage
        ? 'lerna run architecture'
        : 'jsarch ' + data.files + ' > ARCHITECTURE.md && git add ARCHITECTURE.md';
    if (!data.childPackage) {
        packageConf.scripts.precz = ensureScript(packageConf.scripts.precz, ARCHITECTURE_SCRIPT);
        packageConf.scripts.preversion = ensureScript(packageConf.scripts.preversion, ARCHITECTURE_SCRIPT);
    }
    // Special configuration for TypeScript
    if ((configs.includes('typescript') || configs.includes('tsesm')) &&
        !packageConf.jsarch) {
        packageConf.jsarch = {
            parserOptions: {
                plugins: ['typescript'],
            },
        };
    }
    // Add jsarch dep
    packageConf.devDependencies = packageConf.devDependencies || {};
    packageConf.devDependencies.jsarch = '^6.0.3';
    // Avoid GreenKeeper to update automatically added modules
    if ('metapak-nfroidure' !== packageConf.name && !data.childPackage) {
        packageConf.greenkeeper = {
            ignore: [
                ...new Set((packageConf?.greenkeeper?.ignore || []).concat(['jsarch'])),
            ].filter((dependency) => packageConf?.devDependencies?.[dependency]),
        };
    }
    return packageConf;
};
export default transformer;
//# sourceMappingURL=package.js.map